Status: Closed Start date: 2008-05-12

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version: 0.7.2   

Resolution: Fixed Affected version: 0.7.1

Description

the textile inline formating markers (*, _, +) don't work right after parentheses. An example is the following which should of course be

marked as italics, but isn't:

some italizised text

The following patch to redcloth.rb fixes the problem:

--- redmine-0.7.1/lib/redcloth.rb    2008-05-04 12:30:06.000000000 +0200

+++ redmine/lib/redcloth.rb    2008-05-12 17:25:16.803532888 +0200

@@ -376,13 +376,13 @@

         re =

             case rtype

             when :limit

-                /(^|[>\s])

+                /(^|[>\W])

                 (#{rcq})

                 (#{C})

                 (?::(\S+?))?

                 ([^\s\-].*?[^\s\-]|\w)

                 #{rcq}

-                (?=[[:punct:]]|\s|$)/x

+                (?=[[:punct:]]|\W|$)/x

             else

                 /(#{rcq})

                 (#{C})

 Maybe this should be reported upstream?

The regex used only matches the markers following (or before) spaces, when instead it's better to mark after any non-word

character.

Hope this helps

Philip

Associated revisions

Revision 1434 - 2008-05-18 10:24 - Jean-Philippe Lang

Fixed: bold, italics, underline not working within parentheses (#1225).

History

#1 - 2008-05-12 23:38 - Philip Hofstetter

the sample line given was, of course wrong as I left out the thing causing the bug: The parentheses:

(this should be italizised but is not)

The patch is correct though :-)

Philip
#2 - 2008-05-18 10:24 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.7.2

- Resolution set to Fixed

Fixed in r1434.

I didn't use \W since it would match too often, even when it's not wanted.

Powered by TCPDF (www.tcpdf.org)

2025-05-01 2/2

https://www.redmine.org/projects/redmine/repository/svn/revisions/1434
http://www.tcpdf.org

